From 529b4438213cdd1805436b47b168a34d7a3a610d Mon Sep 17 00:00:00 2001
From: Andres Freund <andres@anarazel.de>
Date: Wed, 17 Apr 2024 14:28:47 -0700
Subject: [PATCH v1 3/3] static const: Convert some more

---
 src/backend/access/transam/xlogprefetcher.c | 2 +-
 src/backend/catalog/pg_attrdef.c            | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/backend/access/transam/xlogprefetcher.c b/src/backend/access/transam/xlogprefetcher.c
index fc80c37e554..6c93107608e 100644
--- a/src/backend/access/transam/xlogprefetcher.c
+++ b/src/backend/access/transam/xlogprefetcher.c
@@ -362,7 +362,7 @@ XLogPrefetcher *
 XLogPrefetcherAllocate(XLogReaderState *reader)
 {
 	XLogPrefetcher *prefetcher;
-	static HASHCTL hash_table_ctl = {
+	static const HASHCTL hash_table_ctl = {
 		.keysize = sizeof(RelFileLocator),
 		.entrysize = sizeof(XLogPrefetcherFilter)
 	};
diff --git a/src/backend/catalog/pg_attrdef.c b/src/backend/catalog/pg_attrdef.c
index 003ae70b4d2..95887113539 100644
--- a/src/backend/catalog/pg_attrdef.c
+++ b/src/backend/catalog/pg_attrdef.c
@@ -50,7 +50,7 @@ StoreAttrDefault(Relation rel, AttrNumber attnum,
 	Relation	adrel;
 	HeapTuple	tuple;
 	Datum		values[4];
-	static bool nulls[4] = {false, false, false, false};
+	static const bool nulls[4] = {false, false, false, false};
 	Relation	attrrel;
 	HeapTuple	atttup;
 	Form_pg_attribute attStruct;
-- 
2.44.0.279.g3bd955d269

